Subject: Re: [bug#63714] [PATCH] gnu: Add emacs-x509
From: Nicolas Goaziou <[email-masked]>
To: David Conner <[email-masked]>
Cc: [email-masked]
Date: Sun, 25 Jun 2023 08:51:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

David Conner <[email-masked]> writes:

> I'm still getting used to GNUS and debbugs. I've only just gotten GNUS
> set up in Emacs with email.
>
>> Guix doesn't use versioning system from MELPA. Unfortunately, this
>> package doesn't seem to set a Version keyword. So the version should
>> be "0".
>
> I can try to get in touch with the package maintainers to convince them
> to add semantic versioning. I think the package was dormant for quite
> some time until I created a Github issue on it. It appears to be active
> again.
>
>> Could you send an updated patch? Also, could you run tests?
>
> Yes, I'll take care of this soon.
>
> As for tests, do you mean Guix tests or x509-mode.el tests? If the
> latter, then I believe openssl should be a propagated input. I left it
> out, as this should be a dependency on most machines anyways.

I went ahead, applied suggested changes, added openssl as an input, and
ran tests.

Thank you for the initial work!

Regards,
-- 
Nicolas Goaziou